/**
 * Copyright 2018 TomTom International B.V
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
export declare enum BinaryReturnCode {
    INVALID_VERSION = 0,
    INVALID_OFFSET = 1,
    UNKNOWN_LOCATION_TYPE = 2,
    MISSING_DATA = 3,
    NOT_ENOUGH_BYTES = 4,
    READING_HEADER_FAILURE = 5,
    INVALID_BYTE_SIZE = 6,
    INVALID_HEADER = 7,
    INVALID_RADIUS = 8,
    INVALID_BINARY_DATA = 9
}
export declare const getId: (returnCode: BinaryReturnCode) => number;
