"use strict";
/**
 * Copyright 2018 TomTom International B.V
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    }
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var RawPointLocationReference_1 = require("./RawPointLocationReference");
var LocationType_1 = require("../LocationType");
var RawCircleLocationReference = /** @class */ (function (_super) {
    __extends(RawCircleLocationReference, _super);
    function RawCircleLocationReference() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    RawCircleLocationReference.prototype.getCenterPoint = function () {
        return this._center;
    };
    RawCircleLocationReference.prototype.getRadius = function () {
        return this._radius;
    };
    RawCircleLocationReference.fromCircleValues = function (id, center, radius) {
        var rawCircleLocationReference = new RawCircleLocationReference();
        rawCircleLocationReference._id = id;
        rawCircleLocationReference._locationType = LocationType_1.LocationType.CIRCLE;
        rawCircleLocationReference._center = center;
        rawCircleLocationReference._radius = radius;
        return rawCircleLocationReference;
    };
    return RawCircleLocationReference;
}(RawPointLocationReference_1.RawPointLocationReference));
exports.RawCircleLocationReference = RawCircleLocationReference;
//# sourceMappingURL=RawCircleLocationReference.js.map