"use strict";
/**
 * Copyright 2018 TomTom International B.V
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
var buffer_1 = require("buffer");
exports.Buffer = buffer_1.Buffer;
var BinaryDecoder_1 = require("./binary/BinaryDecoder");
exports.BinaryDecoder = BinaryDecoder_1.BinaryDecoder;
var BinaryEncoder_1 = require("./binary/BinaryEncoder");
exports.BinaryEncoder = BinaryEncoder_1.BinaryEncoder;
var LocationReference_1 = require("./data/LocationReference");
exports.LocationReference = LocationReference_1.LocationReference;
var RawLocationReference_1 = require("./data/raw-location-reference/RawLocationReference");
exports.RawLocationReference = RawLocationReference_1.RawLocationReference;
var Serializer_1 = require("./data/Serializer");
exports.Serializer = Serializer_1.Serializer;
//# sourceMappingURL=index.js.map